findTrans.func {aCGH} | R Documentation

## Funtion identifying the transitions

### Description

This function identifies the start and end of the states (regions with the constant estimated copy number).

### Usage

    findTrans.func(outliers = res1$outliers, aber = res2$aber, statesres =
    states.bic)

### Arguments

`outliers` | Binary matrix of the outliers (generally output of the `findOutliers.func`)
`aber` | Binary matrix of the focal aberrations (generally output of the `findAber.func`)
`statesres` | The states output of the `hmm.run.func`

### Details

The transitions end is placed at the last non-focal aberration clone of the contiguous region containing clones belonging to the same state and transitions start is placed at the first non-focal aberration clone of the contiguous region containing clones belonging to the same state.

### Value

`trans.matrix` | Matrix with a row for each clone and column for each sample. The starts of the states are indicated by "1" , the end are by "2" and the focal aberrations are coded as "3"
`translen.matrix` | Matrix with a row for each clone and column for each sample. The entries are the length of the region to which a clone belongs. Zero length is assigned to the focal aberrations. This output may be buggy at the moment.

### Author(s)

Jane Fridlyand

### References

Application of Hidden Markov Models to the analysis of the array CGH data, Fridlyand et.al., JMVA, 2004.

### See Also

`aCGH`

[Package aCGH version 1.4.1 Index]